<template>
  <slot v-bind="$attrs" title="Postpone" icon="chevron-double-right"></slot>
  <picker :task="task"></picker>
</template>

<script lang="ts">
import Picker from "../Picker.vue";
import Tag from "@/components/Tag.vue";
import { useModals } from "@/use/modal";
import Task from "@/models/Task";

export default {
  components: { Tag },
  props: {
    task: {
      type: Task,
      required: true
    }
  },
  setup() {
    const modals = useModals({ Picker });
    return {
      modals
    };
  }
};
</script>
